Subject: Re: [PATCH v2 3/3] chainlint: reduce annotation noise-factor

From: Junio C Hamano <[email-masked]>
Date: Tue, 10 Sep 2024 08:42:12 -0700

Eric Sunshine <[email-masked]> writes:

>> One thing I don't like about this is that we now have different output
>> depending on whether or not you happen to pipe output to e.g. less(1),
>> which I do quite frequently. So I'd propose to just drop the markers
>> unconditionally.
>
> My knee-jerk reaction is that the "?!" decoration is still handy for
> drawing the eye when scanning non-colored output visually (not using a
> search feature), so I'm hesitant to drop it. However, on reflection,
> I'm not sure I feel very strongly about it. What do others think?

Unlike ERR, LINT is distinct enough, even when mixed with snippets
taken from the test scripts that are full of words that hints
errors, checking, etc., so I'd expect that new readers who have
never seen the "?!" eye-magnets would not find the output too hard
to read.  For those of us whose eyes are so used to, we might miss
them for a while, but I do not see much upside in keeping it.

Thanks.